edu.ucsb.nceas.metacat.dataone

## Class ObjectFormatService

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataone.ObjectFormatService

-     public class ObjectFormatService
      extends java.lang.Object

  Implements a subset of the DataONE CNCore services in Metacat.
  Author:
    jones, leinfelder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OBJECT_FORMAT_DOCID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.dataone.service.types.v2.ObjectFormat` | `getFormat(org.dataone.service.types.v1.ObjectFormatIdentifier fmtid)` Return the object format based on the given object format identifier
    `static ObjectFormatService` | `getInstance()`
    `org.dataone.service.types.v2.ObjectFormatList` | `listFormats()` Return the list of object formats registered from the Coordinating Node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OBJECT_FORMAT_DOCID

          public static final java.lang.String OBJECT_FORMAT_DOCID

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ObjectFormatService getInstance()

    - #### getFormat

          public org.dataone.service.types.v2.ObjectFormat getFormat(org.dataone.service.types.v1.ObjectFormatIdentifier fmtid)
                                                              throws org.dataone.service.exceptions.ServiceFailure,
                                                                     org.dataone.service.exceptions.NotFound,
                                                                     org.dataone.service.exceptions.NotImplemented

      Return the object format based on the given object format identifier
      Parameters:
        `fmtid` - - the object format identifier to look up
      Returns:
        objectFormat - the desired object format
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotFound`
        `org.dataone.service.exceptions.NotImplemented`

    - #### listFormats

          public org.dataone.service.types.v2.ObjectFormatList listFormats()
                                                                    throws org.dataone.service.exceptions.ServiceFailure,
                                                                           org.dataone.service.exceptions.NotImplemented

      Return the list of object formats registered from the Coordinating Node.
      Returns:
        objectFormatList - the list of object formats
      Throws:
        `org.dataone.service.exceptions.ServiceFailure`
        `org.dataone.service.exceptions.NotImplemented`

Copyright © 2020 Regents of the University of California. All Rights Reserved.